=== debian/changelog ===
libnatpmp (20110808-4) unstable; urgency=medium

  * Team upload.
  * Use source format 3.0 (quilt), import the diff into a quilt patch.
  * Run wrap-and-sort.
  * Use debhelper compat 9 and the dh sequencer.
  * Multiarchify the library.  Closes: #812959, LP: #1508673
  * Add a symbols file.  Closes: #635535
  * debian/copyright:
    + update to the final copyright-format 1.0.
    + update the years of the upstream part.
    + add myself to the copyright owner of the debian part.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Move the repository to collab-maint.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 28 Jan 2016 10:52:26 +0000

libnatpmp (20110808-3) unstable; urgency=low

  [ Thomas Goirand ]
  * Moves the natpmpc inside a new natpmp-utils package (Closes: #639084).
  * Removes Debian specific natpmpc.1, since upstream integrated it in his
    upstream tarball.

  [ Stanislav Maslovski ]
  * debian/control:
    - no need to build-depend/depend on python: python module is not built
    - corrected libnatpmp1 dependencies
    - corrected libnatpmp-dev dependencies
    - natpmp-utils replaces older libnatpmp binaries
    - linatpmp1 suggests natpmp-utils
  * debian/rules:
    - do not move files by hand, use dh_install
    - install docs and changelogs only once
  * new files:
    - natpmp-utils.install, natpmp-utils.manpages,
      libnatpmp-dev.install, libnatpmp1.install
  * removed files:
    - libnatpmp1.shibls (not needed; autogenerated by dh_makeshlibs),
      manpages

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Aug 2011 12:02:12 +0800

libnatpmp (20110808-2) unstable; urgency=low

  * Removes the Provides: libnatpmp0 (Closes: #638828).

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Aug 2011 18:44:02 +0800

libnatpmp (20110808-1) unstable; urgency=low

  * New upstream version 20110808, now building on kFreeBSD (Closes: #636786).
  * libnatpmp-dev doesn't recommends minissdpd anymore (Closes: #630334).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Aug 2011 17:09:53 +0800

libnatpmp (20110730-1) unstable; urgency=low

  * New upstream release:
  - Reviewed 3 clause BSD license on file headers (Closes: #633643).
  * Renamed libnatpmp0 into libnatpmp1, as upstream did an ABI change,
  consequently upgraded so version.
  * Renamed libnatpmp0.shlibs as libnatpmp1.shlibs.
  * Moving the .a into the .dev package.
  * debian/copyright is now in correct DEP5 format.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Aug 2011 03:21:46 +0800

libnatpmp (20101211-2) unstable; urgency=low

  * libnatpmp-dev now depends on libnatpmp0 (= ${binary:Version})
  (Closes: #630335).
  * This time, uploading to SID.
  * Standards-Version is now 3.9.2.
  * Doesn't Recommends minissdpd, but Suggests it now (Closes: #630334).
  * Updated Makefile to use LDFLAGS = -Wl,--no-undefined instead of just
  --no-undefined, as it wouldn't build otherwise.
  * Removed the first word (an article) in the short description as it was
  bothering lintian.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jun 2011 21:30:24 +0800

libnatpmp (20101211-1) experimental; urgency=low

  * Initial release. (Closes: #608280)

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2010 21:25:44 +0800
