=== debian/control ===
Source: libnatpmp
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper (>= 9),
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libnatpmp.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libnatpmp.git
Homepage: http://miniupnp.free.fr/

Package: libnatpmp1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 minissdpd,
 natpmp-utils,
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the shared library.

Package: libnatpmp-dev
Architecture: any
Section: libdevel
Depends:
 libnatpmp1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP (dev files)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains development files needed to build using libnatpmp.

Package: natpmp-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libnatpmp0,
 libnatpmp1 (<= 20110808-2),
Description: portable and fully compliant implementation of NAT-PMP (userland tool)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the natpmpc test client.
