=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_installdocs:
	dh_installdocs --link-doc=libnatpmp1

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp INSTALLDIRLIB=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
