=== debian/watch ===
version=3
http://miniupnp.free.fr/files/download.php\?file=libnatpmp-(\d.*).tar.gz
