## libnatpmp 20150609

=== debian/changelog ===
libnatpmp (20150609-7) unstable; urgency=medium

  * Fix symlink overwrites of doc directories (Closes: #905200).
  * Mark Multi-Arch same for libnatpmp1.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 29 Jan 2019 16:33:03 +0800

libnatpmp (20150609-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: multiarchify python Build-Depends. (Closes: #913150)

  [ Yangfl ]
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compat to 12.

 -- Yangfl <mmyangfl@gmail.com>  Mon, 07 Jan 2019 00:43:47 +0800

libnatpmp (20150609-5) unstable; urgency=medium

  * Fix symlink overwrites of doc directories (Closes: #905200).
  * Bump Standards-Version to 4.2.0.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 16 Aug 2018 19:42:06 +0800

libnatpmp (20150609-4) unstable; urgency=medium

  * Move library to multiarch path.
  * Make Homepage field more accurate.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 23 May 2018 00:40:00 +0800

libnatpmp (20150609-3) unstable; urgency=medium

  * Mark Replaces and Breaks natpmp-utils for natpmpc (Closes: #894249).
  * Mark Multi-Arch same for libnatpmp-dev and python3-libnatpmp.
  * Disable hurd-any due to lack of rt_msghdr and RTM_*.
  * Bump Standards-Version to 4.1.4.

 -- Yangfl <mmyangfl@gmail.com>  Sat, 21 Apr 2018 16:36:49 +0800

libnatpmp (20150609-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 12:47:18 +0000

libnatpmp (20150609-1) experimental; urgency=medium

  [ Yangfl ]
  * New upstream release.
  * Add Python 3 module.
  * Rename natpmp-utils to natpmpc.

  [ Thomas Goirand ]
  * Updated VCS URLs to point to Salsa.
  * Ran wrap-and-sort -bast.
  * Added a debian/gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Feb 2018 16:50:07 +0000
