=== debian/control ===
Source: libnatpmp
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper (>= 12~),
 dh-python,
 libpython3-dev,
 python3-dev:any,
 python3-setuptools,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/miniupnp-team/libnatpmp
Vcs-Git: https://salsa.debian.org/miniupnp-team/libnatpmp.git
Homepage: http://miniupnp.free.fr/libnatpmp.html

Package: libnatpmp-dev
Architecture: linux-any kfreebsd-any
Section: libdevel
Depends:
 libnatpmp1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP (dev files)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains development files needed to build using libnatpmp.

Package: libnatpmp1
Architecture: linux-any kfreebsd-any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 minissdpd,
 natpmpc,
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the shared library.

Package: natpmp-utils
Architecture: all
Section: oldlibs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 natpmpc,
 ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: natpmpc
Architecture: linux-any kfreebsd-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces: natpmp-utils (<< 20150609)
Breaks: natpmp-utils (<< 20150609)
Description: portable and fully compliant implementation of NAT-PMP (client)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the natpmpc test client.

Package: python3-libnatpmp
Architecture: linux-any kfreebsd-any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP (Python 3 bindings)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the Python 3 bindings.
