=== debian/watch ===
version=4
opts=filenamemangle=s/.*file=([^&]*)/$1/ \
	http://miniupnp.free.fr/files/download.php\?file=libnatpmp-(\d.*).tar.gz
