## libnatpmp 20230423

=== debian/changelog ===
libnatpmp (20230423-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062480

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:20:51 +0000

libnatpmp (20230423-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Sebastien Bacher ]
  * debian/patches/install-extra-header.patch:
    - install an extra header which is included by natpmp.h since the new
      version but not added to the list of files to install.
      (Closes: #1051692)

  [ Boyuan Yang ]
  * debian/clean: Explicitly add ".pybuild/" as file to be cleaned
    to avoid build failure after a successful build. (Closes: #1048485)
  * debian/source/options: Use extend-diff-ignore to filter out influence
    of egg-info files.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Sep 2023 13:23:52 -0400

libnatpmp (20230423-1) unstable; urgency=medium

  * New upstream release.
  * Drop transitional package natpmp-utils (Closes: #1032707).
  * Bump Standards-Version to 4.6.2.
  * Bump debhelper compat to 13.
  * Add upstream metadata.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 06 Aug 2023 10:55:08 +0800

libnatpmp (20150609-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Dec 2020 23:52:33 +0100
