=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Thomas Goirand <zigo@debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
-Build-Depends:
- debhelper (>= 12~),
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
  dh-python,
  libpython3-dev,
  python3-dev:any,
  python3-setuptools,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/miniupnp-team/libnatpmp
 Vcs-Git: https://salsa.debian.org/miniupnp-team/libnatpmp.git
 Homepage: http://miniupnp.free.fr/libnatpmp.html
@@ -19,7 +20,7 @@
 Architecture: linux-any kfreebsd-any
 Section: libdevel
 Depends:
- libnatpmp1 (= ${binary:Version}),
+ libnatpmp1t64 (= ${binary:Version}),
  ${misc:Depends},
 Multi-Arch: same
 Description: portable and fully compliant implementation of NAT-PMP (dev files)
@@ -37,7 +38,10 @@
  .
  This package contains development files needed to build using libnatpmp.
 
-Package: libnatpmp1
+Package: libnatpmp1t64
+Provides: ${t64:Provides}
+Replaces: libnatpmp1
+Breaks: libnatpmp1 (<< ${source:Version})
 Architecture: linux-any kfreebsd-any
 Section: libs
 Depends:
@@ -61,16 +65,6 @@
  very easy to integrate the NAT-PMP code to any event driven code.
  .
  This package contains the shared library.
-
-Package: natpmp-utils
-Architecture: all
-Section: oldlibs
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- natpmpc,
- ${misc:Depends},
-Description: transitional package
- This is a transitional package. It can safely be removed.
 
 Package: natpmpc
 Architecture: linux-any kfreebsd-any
@@ -101,8 +95,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Provides:
- ${python3:Provides},
 Multi-Arch: same
 Description: portable and fully compliant implementation of NAT-PMP (Python 3 bindings)
  NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
