=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

export PYBUILD_SYSTEM = distutils


%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -- DEB_HOST_ARCH_OS=$(DEB_HOST_ARCH_OS)
	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -- 'PREFIX=$$(DESTDIR)'
	dh_auto_install --buildsystem=pybuild
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/libnatpmp* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_installdocs:
	dh_installdocs -plibnatpmp-dev -plibnatpmp1t64 --link-doc=libnatpmp1t64
	dh_installdocs -Nlibnatpmp-dev -Nlibnatpmp1t64
